nxt

## Class DigitalGoodsStore

- java.lang.Object
- - nxt.DigitalGoodsStore

-     public final class DigitalGoodsStore
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DigitalGoodsStore.Event`
    `static class` | `DigitalGoodsStore.Goods`
    `static class` | `DigitalGoodsStore.Purchase`
    `static class` | `DigitalGoodsStore.Tag`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DigitalGoodsStore()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `addGoodsListener(Listener<DigitalGoodsStore.Goods> listener, DigitalGoodsStore.Event eventType)`
    `static boolean` | `addPurchaseListener(Listener<DigitalGoodsStore.Purchase> listener, DigitalGoodsStore.Event eventType)`
    `static boolean` | `removeGoodsListener(Listener<DigitalGoodsStore.Goods> listener, DigitalGoodsStore.Event eventType)`
    `static boolean` | `removePurchaseListener(Listener<DigitalGoodsStore.Purchase> listener, DigitalGoodsStore.Event eventType)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DigitalGoodsStore

          public DigitalGoodsStore()

  - ### Method Detail

    - #### addGoodsListener

          public static boolean addGoodsListener(Listener<DigitalGoodsStore.Goods> listener,
                                                 DigitalGoodsStore.Event eventType)

    - #### removeGoodsListener

          public static boolean removeGoodsListener(Listener<DigitalGoodsStore.Goods> listener,
                                                    DigitalGoodsStore.Event eventType)

    - #### addPurchaseListener

          public static boolean addPurchaseListener(Listener<DigitalGoodsStore.Purchase> listener,
                                                    DigitalGoodsStore.Event eventType)

    - #### removePurchaseListener

          public static boolean removePurchaseListener(Listener<DigitalGoodsStore.Purchase> listener,
                                                       DigitalGoodsStore.Event eventType)